Package org.apache.ignite.internal.client.thin

## Class ClientServerError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.internal.client.thin.ClientServerError

All Implemented Interfaces:
  `Serializable`

    public class ClientServerError
    extends RuntimeException

Ignite server failed to process client request.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCode()`
`String` `getServerErrorMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getCode

    public int getCode()

Returns:
  Server error code.

#### getServerErrorMessage

    public String getServerErrorMessage()

Returns:
  Server error message.